%define basever 1.20
%define subver 7
%define _requires_exceptions pear(\\(extensions/.*\\|core/includes/WebStart.php\\|phase3/includes/WebStart.php\\|PHPUnit/Framework.php\\))

Name:		mediawiki
Version:	%{basever}.%{subver}
Release:	%mkrel 1
Summary:	A wiki engine
License:	GPLv2+
Group:		System/Servers
BuildArch:  noarch
Url:		http://www.mediawiki.org/wiki/MediaWiki

Source0:	http://download.wikimedia.org/mediawiki/%{basever}/%{name}-%{version}.tar.gz
Source1:	mediawiki.conf
Source3:	mw-createinstance.in
Source4:	mw-updateallinstances.in

# to make sure the "apache" group is created before mediawiki is installed
Requires(pre):  webserver
# suggest apache-mod_php
Suggests:       apache-mod_php
# for diff3:
Requires:   diffutils
# for convert:
Requires:   imagemagick
Requires:   php-gd
Requires:	%{name}-sql = %{version}-%{release}
Requires:   php-xml

Conflicts:  mediawiki < 0:1.16.5-0
# make upgrading from mediawiki < 1.19 painless
Obsoletes:  %{name}-minimal < 1.19.1

# RenameUser extension bundled with MediaWiki as of 1.20
Obsoletes:  mediawiki-renameuser < %{version}-%{release}

%description
MediaWiki is the software used for Wikipedia and the other Wikimedia
Foundation websites. Compared to other wikis, it has an excellent
range of features and support for high-traffic websites using multiple
servers

This package includes math rendering support for mediawiki.

%package mysql
Summary:    Mediawiki with mysql database
Group:      System/Servers
Provides:   %{name}-sql = %{version}-%{release}
Requires:   php-mysql

%description mysql
This meta package installs the neccessary packages to use mediawiki
with a mariadb or mysql database.
This does not install the database server itself, because you can run
mediawiki with a remote database server.

%package pgsql
Summary:    Mediawiki with postgresql database
Group:      System/Servers
Provides:   %{name}-sql = %{version}-%{release}
Requires:   php-pgsql

%description pgsql
This meta package installs the neccessary packages to use mediawiki
with a postgresql database.
This does not install the database server itself, because you can run
mediawiki with a remote database server.

%package sqlite
Summary:    Mediawiki with sqlite database
Group:      System/Servers
Provides:   %{name}-sql = %{version}-%{release}
Requires:   php-sqlite3

%description sqlite
This meta package installs the neccessary packages to use mediawiki
with an sqlite database.
If you are using sqlite you can't use a remote database server.

%prep
%setup -q

%build
:

%install
rm -rf %{buildroot}

# now copy the rest to the buildroot.
mkdir -p %{buildroot}%{_datadir}/mediawiki
cp -a * %{buildroot}%{_datadir}/mediawiki/

# remove documentation
rm -f %{buildroot}%{_datadir}/mediawiki/{COPYING,FAQ,HISTORY,README,RELEASE-NOTES-1.20,UPGRADE,CREDITS,INSTALL}
rm -rf %{buildroot}%{_datadir}/mediawiki/docs

# remove unneeded parts
rm -fr %{buildroot}%{_datadir}/mediawiki/{t,test,tests}
rm -fr %{buildroot}%{_datadir}/mediawiki/includes/zhtable
find %{buildroot}%{_datadir}/mediawiki/ \
  \( -name .htaccess -or -name \*.cmi \) \
  | xargs -r rm

# fix permissions
chmod +x %{buildroot}%{_datadir}/mediawiki/bin/*
find %{buildroot}%{_datadir}/mediawiki -name \*.pl | xargs -r chmod +x

# remove version control/patch files
find %{buildroot} -name .svnignore | xargs -r rm
find %{buildroot} -name \*.commoncode | xargs -r rm
find %{buildroot} -name \*.enablesuggests | xargs -r rm

%{__install} -d -m 755 %{buildroot}%{webappconfdir}
install -p -m 0644 %{SOURCE1} \
  %{buildroot}%{webappconfdir}/mediawiki.conf

# tools for keeping mediawiki instances current
mkdir -p %{buildroot}%{_sbindir}
sed -e's,@datadir@,%{_datadir},g' -e's,@sysconfdir@,%{_sysconfdir},g' \
  < %{SOURCE3} > %{buildroot}%{_sbindir}/mediawiki-create
sed -e's,@datadir@,%{_datadir},g' -e's,@sysconfdir@,%{_sysconfdir},g' \
  < %{SOURCE4} > %{buildroot}%{_sbindir}/mediawiki-updateall
chmod 0755 %{buildroot}%{_sbindir}/mediawiki-*
mkdir %{buildroot}%{_sysconfdir}/mediawiki

# placeholder for a default instance
mkdir -p %{buildroot}/%{_localstatedir}/www/mediawiki

# list of instances - initially empty
touch %{buildroot}%{_sysconfdir}/mediawiki/instances

install -d -m 755 %{buildroot}/%{_localstatedir}/lib/mediawiki

%post
%{_sbindir}/mediawiki-updateall >> /var/log/mediawiki-updates.log 2>&1 || :

%files
%doc COPYING FAQ HISTORY README RELEASE-NOTES-1.20 UPGRADE CREDITS INSTALL docs
%{_datadir}/mediawiki
%attr(-,apache,apache) %dir %{_datadir}/mediawiki/mw-config
%config(noreplace) %{webappconfdir}/mediawiki.conf
%dir %{_sysconfdir}/mediawiki
%config(noreplace) %{_sysconfdir}/mediawiki/instances
%attr(0700,root,root) %{_sbindir}/mediawiki-*
%{_localstatedir}/www/mediawiki

%files mysql

%files pgsql

%files sqlite
%attr(-,apache,apache) %{_localstatedir}/lib/mediawiki


%changelog
* Wed Sep 04 2013 luigiwalser <luigiwalser> 1.20.7-1.mga3
+ Revision: 475118
- 1.20.7
- actually allow access to wiki
- obsolete bundled renameuser mediawiki extension
- allow access to wiki but restrict access to installer
- fix setting conflict with suhosin

  + kharec <kharec>
    - Update to security release 1.20.6

* Sat May 04 2013 kharec <kharec> 1.20.5-1.mga3
+ Revision: 412242
- New security release 1.20.5 (#3448)

* Thu Apr 18 2013 kharec <kharec> 1.20.4-1.mga3
+ Revision: 410429
- Security release 1.20.4

* Sat Apr 13 2013 guillomovitch <guillomovitch> 1.20.3-1.mga3
+ Revision: 409877
- drop references to non existing README.urpmi in package description
- ship a single apache configuration file, providing a simple setup working ouf of the box (#7443)
- ship /var/lib/mediawiki as database container in mediawiki-sqlite
- fix documentation file installation directory
- cleanup spec file

  + kharec <kharec>
    - New version 1.20.3
    - Clean package

* Sat Jan 12 2013 umeabot <umeabot> 1.19.2-3.mga3
+ Revision: 359904
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 guillomovitch <guillomovitch> 1.19.2-2.mga3
+ Revision: 290498
- make configuration file compatible with apache 2.4
- make default configuration file compliant with setup

  + obgr_seneca <obgr_seneca>
    - fixed README.urpmi

* Sat Sep 08 2012 obgr_seneca <obgr_seneca> 1.19.2-1.mga3
+ Revision: 290105
- new version 1.19.2
- reworked instance creation script

* Tue Jul 10 2012 obgr_seneca <obgr_seneca> 1.19.1-1.mga3
+ Revision: 269190
- New version 1.19.1
- main package now named mediawiki, not mediawiki-minimal
- math package now in an external extension (upstream change)
- added database meta packages for mysql, postgresql and sqlite

* Sat Nov 19 2011 spuhler <spuhler> 1.16.5-3.mga2
+ Revision: 169372
- added pear(extensions\\|pear(PHPUnit/Framework.php) to define _requires_exceptions
  dropped pear(HTML/Template/PHPTAL.php)\\|pear(MogileFS.php) from define _requires_exceptions as it isn't required anymore

* Thu Jun 23 2011 cjw <cjw> 1.16.5-2.mga2
+ Revision: 112830
- fix create script reference in update script

* Sun May 15 2011 boklm <boklm> 1.16.5-1.mga1
+ Revision: 98859
- update to version 1.16.4 (security release)
- remove apache-mod_php dependency as it could be used with other web servers, or without mod_php
- add default config file

  + cjw <cjw>
    - add note about upgrading in README.RPM
    - rebase on mediawiki package in fedora:
      o split code from configuration/userdata
      o allow multiple wiki instances
      o allow installations without tex
    - rename nomath package to mediawiki-minimal
    - rename math package to mediawiki
    - 1.16.5 security release
    - fix patch0 to support wiki installs using a postgresql database
    - rename mw-createinstance to mediawiki-create and
      mw-updateallinstances to mediawiki-updateall
    - fix filelist by listing all files and dirs in the shared code dir

* Mon Mar 21 2011 boklm <boklm> 1.16.2-4.mga1
+ Revision: 75276
- add provide on base version
- install mediawiki in /usr/share/mediawiki and config in /etc/mediawiki
- update summary and description
- remove all plugins
- imported package mediawiki

